Subject: Re: Statistics

From: Brian Rosen <[email-masked]>
Date: Fri, 3 Sep 1999 07:55:11 -0400

I see why you would suggest this, but I think it only applies to a
subset of the cases.  I'd rather not have statistics come from the
general case of MOVE.  If you want them, you could Audit.
 
This leads me to the following thought.
 
What if the RequestedInfo descriptor was legal in the Add/Move/Modify?
That is, you could get an AuditValue return of your choice from any
Add/Move/Modify.
 
Let me take that one step farther.
 
Suppose that it was also legal in Subtract, and in fact, that was how you
got
the Statistics return from Subtract -- it isn't automatic, you ask for it.
Perhaps, if you don't like that, there was a property of root that turned
the
automatic statistic report on Subtract on/off.  Hmmmm, there could also
be one for Move if you like, which is another way to solve my problem with
always sending it on Move.
 
I don't think there is any downside.  I can think of one anomaly:
If you underspecify a property AND you request the return of that
descriptor, do you get it once or twice?  I'd say, once.
 
Brian

-----Original Message-----
From: Paul Hollis [mailto:[email-masked]]
Sent: Friday, September 03, 1999 5:42 AM
To: [email-masked]
Subject: Re: Statistics

Hi, 

I was just wondering whether we should also receive statistics 
from a MOVE command, giving details of the terminations 
existence within the original context. As far as I can tell, a 
SUBTRACT is just a move into the NULL context, thus if 
you get stats from this then it seems reasonable that you get 
stats from the MOVE. 

Regards Paul. 

Tom-PT Taylor wrote: 

That seems totally reasonable.  It's one of the "to do" things I've had in 
my mind every time I read that section. 

> -----Original Message----- 
> From: Brian Rosen [SMTP:[email-masked]] 
> Sent: Thursday, September 02, 1999 11:19 AM 
> To:   [email-masked] 
> Subject:      Statistics 
> 
> At present, there is a standard set of statistics that is 
> defined (things like packets and octets sent and received). 
> We also have a way to add new statistics; they are defined 
> in packages. 
> 
> Statistics are returned whenever you do a Subtract.  You can also ask for 
> statistics with an AuditValue. 
> 
> I'd like to consider removing the standard statistics and 
> putting them in the "base" package definitions.  The reason 
> I propose to do this is that, for example, returning the 
> PacketsSent statistic on a circuit termination doesn't make 
> sense.  If they were defined in the base packages, then 
> only the appropriate statistics for the kind of termination 
> (read "what packages are implemented on that termination") 
> would be returned. 
> 
> Brian

-- 

oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo

o  Paul Hollis                                                   o

o  Ericsson Eurolab Deutschland GmbH                             o

o  Ericsson Allee 1                                              o

o  D-52134 Herzogenrath                                          o

o  Germany                                                       o

o  Phone: +49 2407 575 8092                                      o

o  email: [email-masked]                                 o

oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo

---

From: Paul Hollis <[email-masked]>
Date: Fri, 3 Sep 1999 14:57:39 +0200

Hi Brian,

Perhaps, as you said, the  RequestedInfo should be legal in all Add/
Move/Modify/ and Subtract, this way we are consistent. As far as I
can see, the statistics  probably shouldn't come from the general case
of the Subtract either. Thus doing what you've suggested provides the
capability, if required, of getting statistics for any of the commands.

Paul.

--